<?php
header('Content-Type: application/json'); // Set the content type to JSON

include '../db.php'; // Include database connection

try {
    // Query to fetch data from the country_list table
    $query = "SELECT * FROM country_list ORDER BY serial ASC"; //DESC
    $result = $conn->query($query);

    // Check if any data was returned
    if ($result->num_rows > 0) {
        $countryList = array();

        // Fetch each row and store it in an array
        while ($row = $result->fetch_assoc()) {
            $countryList[] = [
                'id' => $row['id'],
                'name' => $row['name'],
                'sku' => $row['sku'],
                'serial' => $row['serial']
            ];
        }

        // Output the country data as JSON
        echo json_encode(['message' => 'success', 'data' => $countryList]);
    } else {
        echo json_encode(['message' => 'error', 'error' => 'No countries found.']);
    }
} catch (Exception $e) {
    echo json_encode(['message' => 'error', 'error' => 'Database query failed: ' . $e->getMessage()]);
}

// Close the database connection
$conn->close();
?>
