<?php
header('Content-Type: application/json');

include '../db.php'; // Include the database connection

// Get the Authorization header
$headers = getallheaders();
$token = $headers['Authorization'] ?? '';
$email = $_GET['email'] ?? '';

// Validate inputs
if (empty($email) || empty($token)) {
    echo json_encode(['message' => 'error', 'error' => 'Email and token are required.']);
    exit();
}

// Query user data
$stmt = $conn->prepare("SELECT user_id, name, email, country, country_iso, country_code, number, balance, joinAt, token FROM data_user WHERE email = ?");
$stmt->bind_param("s", $email);
$stmt->execute();
$result = $stmt->get_result();

// Check if the user exists
if ($result->num_rows > 0) {
    $user = $result->fetch_assoc();

    // Verify token
    if ($user['token'] === $token) {
        // Return user data
        echo json_encode([
            'message' => 'success',
            'user_id' => $user['user_id'],
            'name' => $user['name'],
            'email' => $user['email'],
            'country' => $user['country'],
            'country_iso' => $user['country_iso'],
            'country_code' => $user['country_code'],
            'number' => $user['number'],
            'balance' => $user['balance'],
            'joinAt' => $user['joinAt']
        ]);
    } else {
        // Token mismatch
        echo json_encode(['message' => 'error', 'error' => 'Authorization failed.']);
    }
} else {
    echo json_encode(['message' => 'error', 'error' => 'User not found.']);
}

// Close the statement and connection
$stmt->close();
$conn->close();
?>
