<?php
header('Content-Type: application/json');
require_once '../db.php';

$data = json_decode(file_get_contents("php://input"), true);

if (isset($data['email']) && isset($data['password'])) {
    $email = $data['email'];
    $password = $data['password'];

    // Check if email exists
    $stmt = $conn->prepare("SELECT id, password, token FROM data_user WHERE email = ?");
    $stmt->bind_param("s", $email);
    $stmt->execute();
    $result = $stmt->get_result();

    if ($result->num_rows > 0) {
        $user = $result->fetch_assoc();

        // Verify password
        if (password_verify($password, $user['password'])) {
            // Generate a new token
            $newToken = bin2hex(random_bytes(16));

            // Update token in the database
            $updateStmt = $conn->prepare("UPDATE data_user SET token = ? WHERE id = ?");
            $updateStmt->bind_param("si", $newToken, $user['id']);
            $updateStmt->execute();
            $updateStmt->close();

            // Successful login response
            echo json_encode([
                "message" => "success",
                "token" => $newToken
            ]);
        } else {
            // Incorrect password
            echo json_encode(["message" => "Incorrect password"]);
        }
    } else {
        // User not found
        echo json_encode(["message" => "User not found"]);
    }

    $stmt->close();
} else {
    echo json_encode(["message" => "Invalid input"]);
}

$conn->close();
?>
